package org.tbasket.test

import org.tbasket.auth.Authentificator
import org.tbasket.config.ServerConfig
import org.tbasket.data.Database
import zio.{Task, ZLayer}

/*
* Defines required test service layers
* */
object TestLayers {
  
  
  val auth = {
    val publicKey = TestServerConfig.emitterCertificate.getPublicKey
    val auth      = new Authentificator(TestServerConfig.emitterURL, publicKey, TestServerConfig.emitterKeyAlgorithm)
    ZLayer.succeed(auth)
  }
  
  val db = {
    new Database(TestServerConfig)
  }

  
}
